import logo from './logo.svg';
import './App.css';
import { useState } from 'react';

const Spoiler = ({header="+", open=true, children}) => {
  let [isOpen=open, setOpen] = useState()
  return (
    <>
      <header onClick={() => setOpen(!isOpen)}>{header}</header>
      <div style={{visibility: isOpen? 'visible' : 'hidden'}}>
        {children}
      </div>
    </>
  )
}



function App() {
  return (
    <div className="App">
      <Spoiler header={<h1>Заголовок(клацать сюда)</h1>} open>
        Контент 1
        <p>
            лорем ипсум траливали и тп.
        </p>
        <img src={logo} width="200" heigt="200"/>
      </Spoiler>
    </div>
  );
}

export default App;
